pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';

create temp table fieldingofsplit as
select * from fieldingofsplit;

alter table fieldingofsplit drop column "lgID";
alter table fieldingofsplit drop column "teamID";

update fieldingofsplit
set
	gs = nullif(gs,''),
	innouts = nullif(innouts,''),
	pb = nullif(pb,''),
	wp = nullif(wp,''),
	sb = nullif(sb,''),
	cs = nullif(cs,''),
	zr = nullif(zr,'');

CREATE TABLE IF NOT EXISTS main."fieldingofsplit" (
	"player"	TEXT,
	"year"	NUMERIC,
	"stint"	NUMERIC,
	"POS"	TEXT,
	"G"	NUMERIC,
	"GS"	NUMERIC,
	"InnOuts"	NUMERIC,
	"PO"	NUMERIC	check (PO <= InnOuts),
	"A"	NUMERIC,
	"E"	NUMERIC,
	"DP"	NUMERIC,
	"PB"	NUMERIC,
	"WP"	NUMERIC,
	"SB"	NUMERIC,
	"CS"	NUMERIC,
	"ZR"	NUMERIC,
	PRIMARY KEY("player","year","stint","POS"),
	foreign key("year","player","stint") references "playerstints"("year","player","stint")
);

insert into main.fieldingofsplit select distinct * from temp."fieldingofsplit";
commit;
