pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';

create temp table teamseasonshalf as
select * from "raw".teamshalf;

alter table teamseasonshalf drop column "lgID";
alter table teamseasonshalf drop column "divID";
alter table teamseasonshalf drop column "DivWin";

insert into teamseasonshalf
select yearid, teamid, half, "rank", sum(g), sum(w), sum(l)
from "raw".managershalf
where yearid = 1892
group by yearid, teamid, half;

update teamseasonshalf
set teamid = 'WS9'
where yearid = 1892 and teamid = 'WAS';

CREATE TABLE IF NOT EXISTS main."teamseasonshalf" (
	"year"	NUMERIC,
	"team"	TEXT,
	"Half"	NUMERIC,
	"Rank"	NUMERIC,
	"G"	NUMERIC,
	"W"	NUMERIC,
	"L"	NUMERIC,
	PRIMARY KEY("year","team","Half"),
	foreign key("year","team") references "teamseasons"("year","team")
);

insert into main.teamseasonshalf select distinct * from temp.teamseasonshalf;
commit;
